> ## Documentation Index
> Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Contract Assets (KEYED)

`Applicable for querying user contract asset details`

#### Request URl

`GET https://cloud-api.wooxpro.com/contract/private/assets-detail`

#### Request Limit

See [Detailed Rate Limit](/english/rate-limit)

#### Request Parameter

> Request
> None

```shell theme={null}
curl -H 'X-API-KEY:{{AccessKey}}'
https://cloud-api.wooxpro.com/contract/private/assets-detail
```

#### Response Data

> Response

```json theme={null}
{
  "code": 1000,
  "message": "Ok",
  "data": [
    {
      "currency": "USDT",
      "position_deposit": "100",
      "frozen_balance": "100",
      "available_balance": "100",
      "equity": "100",
      "unrealized": "100"
    },
    {
      "currency": "BTC",
      "available_balance": "0",
      "frozen_balance": "0",
      "unrealized": "0",
      "equity": "0",
      "position_deposit": "0"
    },
    {
      "currency": "ETH",
      "available_balance": "0",
      "frozen_balance": "0",
      "unrealized": "0",
      "equity": "0",
      "position_deposit": "0"
    }
  ],
  "trace": "13f7fda9-9543-4e11-a0ba-cbe117989988"
}
```

| Field              | Type   | Description               |
| :----------------- | :----- | :------------------------ |
| currency           | String | Currency                  |
| position\_deposit  | String | Position margin           |
| frozen\_balance    | String | Transaction freeze amount |
| available\_balance | String | Available amount          |
| equity             | String | Total equity              |
| unrealized         | String | Unrealized P\&L           |
